{
  "name": "hello-assemblyscript",
  "version": "0.0.1",
  "description": "assemblyscript hello world program",
  "private": true,
  "sideEffects": false,
  "keywords": [
    "hello-assemblyscript"
  ],
  "homepage": "https://gitlab.com/bitspur/community/hello-assemblyscript",
  "bugs": {
    "url": "https://gitlab.com/bitspur/community/hello-assemblyscript/issues",
    "email": "clayrisser@gmail.com"
  },
  "license": "Apache-2.0",
  "author": {
    "name": "Clay Risser",
    "email": "clayrisser@gmail.com",
    "url": "https://bitspur.us"
  },
  "files": [
    "bin",
    "build",
    "es",
    "lib"
  ],
  "module": "es/index.js",
  "main": "lib/index.js",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/bitspur/community/hello-assemblyscript"
  },
  "scripts": {
    "build": "make -s build",
    "clean": "make -s clean",
    "coverage": "make -s coverage",
    "format": "make -s format",
    "inc": "make -s inc",
    "lint": "make -s lint",
    "make": "make",
    "prepare": "make -s prepare",
    "purge": "make -s purge",
    "report": "make -s report",
    "spellcheck": "make -s spellcheck",
    "start": "make -s start",
    "test": "make -s test",
    "test:ui": "make test-ui",
    "test:watch": "make -s test-watch"
  },
  "devDependencies": {
    "@assemblyscript/loader": "0.18.32",
    "@assemblyscript/node": "github:AssemblyScript/node",
    "@babel/cli": "^7.14.8",
    "@babel/core": "^7.15.0",
    "@babel/node": "^7.14.9",
    "@babel/plugin-proposal-class-properties": "^7.14.5",
    "@babel/plugin-proposal-decorators": "^7.14.5",
    "@babel/plugin-proposal-optional-chaining": "^7.14.5",
    "@babel/plugin-proposal-private-methods": "^7.14.5",
    "@babel/plugin-proposal-private-property-in-object": "^7.14.5",
    "@babel/plugin-transform-runtime": "^7.15.0",
    "@babel/preset-env": "^7.15.0",
    "@babel/preset-typescript": "^7.15.0",
    "@types/jest": "^27.0.1",
    "@typescript-eslint/eslint-plugin": "^4.30.0",
    "@typescript-eslint/parser": "^4.30.0",
    "assemblyscript": "0.18.32",
    "babel-loader": "^8.2.2",
    "babel-plugin-inline-import": "^3.0.0",
    "babel-plugin-macros": "^3.1.0",
    "babel-plugin-module-resolver": "^4.1.0",
    "babel-plugin-transform-typescript-metadata": "^0.3.2",
    "cspell": "^5.9.0",
    "eslint": "^7.32.0",
    "eslint-config-airbnb-typescript": "^14.0.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-import": "^2.24.2",
    "eslint-plugin-spellcheck": "^0.0.19",
    "jest": "^27.1.0",
    "jest-sonar-reporter": "^2.0.0",
    "lockfile-lint": "^4.6.2",
    "majestic": "^1.8.1",
    "prettier": "^2.3.2",
    "typescript": "^4.4.2"
  },
  "engines": {
    "node": ">=6.0.0"
  },
  "eslintIgnore": [
    "build",
    "es",
    "lib"
  ],
  "jest": {
    "testRegex": "((/(tests|__tests__)((/|/[^_.\n][^/\n]*(/[^_.\n][^/\n]+)*/)[^_.\n][^/\n]*))|((/|/.*/)(([^_.\n][^/\n]*.(spec|test))|(spec|test)))).[jt]sx?$",
    "testEnvironment": "node",
    "verbose": true,
    "testPathIgnorePatterns": [
      "<rootDir>/build/",
      "<rootDir>/es/",
      "<rootDir>/lib/"
    ],
    "setupFilesAfterEnv": [
      "<rootDir>/tests/_setup.ts"
    ]
  },
  "jestSonar": {
    "reportPath": "node_modules/.tmp/reports",
    "reportFile": "test-report.xml",
    "indent": 4
  },
  "prettier": {
    "singleQuote": true,
    "trailingComma": "none"
  },
  "dependencies": {
    "@assemblyscript/loader": "^0.19.11",
    "as-wasi": "^0.4.6"
  }
}
